## Victor_Gijsbers_Archive_2004-2019.zip

=== Games - Complete/2011 Kerkerkruip/kerkerkruip GitHub version/Makefile ===
# Kerkerkruip makefile
# But one which would work for other projects too

# Some rules adapted from https://github.com/alerque/stack-verse-mapper/blob/master/Makefile
# (The only other makefile experience I've had)

# Default to running multiple jobs
JOBS := $(shell nproc 2>/dev/null || sysctl -n hw.ncpu 2>/dev/null || echo 1)
MAKEFLAGS = "-j $(JOBS)"

# Location of the project so we don't cross-wire relative paths.
BASE := $(shell cd "$(shell dirname $(lastword $(MAKEFILE_LIST)))/" && pwd)

CURL = curl -L -s -S

# Mark which rules are not actually generating files
.PHONY: all clean deploy setup test

all: setup

clean:
	$(RM) *.gblorb *.zip
	$(RM) -r i7 Inform
	$(MAKE) -C tools clean
	$(RM) -r Kerkerkruip.materials/Release

# Setup the Inform 7 environment we need
INFORM_ENV = i7/Internal Inform/Extensions
setup: $(INFORM_ENV)

# Download and install Inform 7
i7/Internal:
	./tools/install-inform7

# Download and build dumb-git or glulxe
i7/dumb-%: tools/Makefile
	$(MAKE) -C tools dumb-$*
	cp tools/dumb-$* i7/dumb-$*

# Download the extensions we need, pretending ~/Inform is in this directory
Inform/Extensions:
	mkdir -p Inform/Extensions
	$(CURL) -O https://github.com/i7/extensions/archive/master.zip
	unzip -o -q master.zip
	cp -R extensions-master/. Inform/Extensions/
	$(CURL) -o "Inform/Extensions/Aaron Reed/Numbered Disambiguation Choices.i7x" "http://www.emshort.com/pl/payloads/Aaron%20Reed/Numbered%20Disambiguation%20Choices.i7x"
	rm -r extensions-master master.zip

%.gblorb: $(INFORM_ENV) %.inform/Source/story.ni %.materials/Extensions/*/*.i7x
	./tools/build-i7-project -p "$*"

# Prepare a zip for distribution
%.zip: %.gblorb
	cd "$*.materials/Release/" && zip "$@" *
	mv "$*.materials/Release/$@" .

# Run the test suite
# Link the story file to the tests subfolder to keep its datafiles separate
test: i7/dumb-git Kerkerkruip.gblorb
	ln -fs $(BASE)/Kerkerkruip.gblorb ./tests/Kerkerkruip.gblorb
	cd ./tests && ./runner

# Deploy a zip to the Kerkerkruip downloads server
deploy: Kerkerkruip.zip
	lftp -c "open -u kerkerkruip,dummy sftp://william-whipple.dreamhost.com; put Kerkerkruip.zip -o downloads.kerkerkruip.org/kerkerkruip-git.zip"

=== Games - Complete/2011 Kerkerkruip/kerkerkruip GitHub version/tools/Makefile ===
# A makefile to download and compile git or glulxe

# Default to running multiple jobs
JOBS := $(shell nproc 2>/dev/null || sysctl -n hw.ncpu 2>/dev/null || echo 1)
MAKEFLAGS = "-j $(JOBS)"

CURL = curl -L -s -S

# Mark which rules are not actually generating files
.PHONY: all clean

all: dumb-git dumb-glulxe

clean:
	$(RM) -r cheapglk dumb-* git glulxe

cheapglk/Makefile:
	$(CURL) -o "cheapglk.tar.gz" https://github.com/erkyrath/cheapglk/archive/master.tar.gz
	tar xf cheapglk.tar.gz
	mv cheapglk-master cheapglk
	rm cheapglk.tar.gz

cheapglk/Make.cheapglk: cheapglk/Makefile
	$(MAKE) -C cheapglk

git:
	$(CURL) -o "Git.tar.gz" https://github.com/curiousdannii/Git/archive/travis.tar.gz
	tar xf Git.tar.gz
	mv Git-travis git
	rm Git.tar.gz

glulxe:
	$(CURL) -o "glulxe.tar.gz" https://github.com/erkyrath/glulxe/archive/master.tar.gz
	tar xf glulxe.tar.gz
	mv glulxe-master glulxe
	rm glulxe.tar.gz

dumb-%: cheapglk/Make.cheapglk %
	$(MAKE) -C $*
	cp $*/$* dumb-$*

=== Games - Complete/2011 Kerkerkruip/kerkerkruip GitHub version/packages/debian/kerkerkruip/debian/changelog ===
kerkerkruip (9.0.1) unstable; urgency=low

  * Added a screen reader mode - note Gargoyle is not screen reader compatible
  * Fixed a couple of bugs in the windows code

 -- Dannii Willis <curiousdannii@gmail.com>  Sat, 19 Apr 2014 21:33:55 +1000
 

kerkerkruip (9) unstable; urgency=low

  Version 9 has been released! Highlights include:

  * New original theme music by Wade Clarke
  * A reworked reaction system adds a new layer of tactical depth
  * Sacrificing powers to the gods allows you to gain religious benefits,
    including divine interventions
  * Throw grenades into adjacent rooms, but beware of the arms of Morpheus!
  * Face Israfel, a terrible angel that can split into two smaller beings for
    increased combat effectiveness before reuniting to heal

 -- Dannii Willis <curiousdannii@gmail.com>  Sun, 13 Apr 2014 09:24:17 +1000

=== Games - Complete/2011 Kerkerkruip/kerkerkruip GitHub version/packages/debian/kerkerkruip/debian/control ===
Source: kerkerkruip
Maintainer: Dannii Willis <curiousdannii@gmail.com>
Section: games
Priority: extra
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.3
Homepage: http://kerkerkruip.org
Vcs-Git: https://github.com/i7/kerkerkruip.git

Package: kerkerkruip
Architecture: all
Depends:  ${misc:Depends}, gargoyle (>= 2011) | gargoyle-free (>= 2011), fonts-linuxlibertine | ttf-linux-libertine
Description: Interactive fiction roguelike game
 Kerkerkruip is a short-form roguelike in the interactive fiction medium,
 featuring meaningful tactical and strategic depth, innovative game play, zero
 grinding, and a sword & sorcery setting that does not rehash tired clichés.
